# Generated from electric-book-classic-theme-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name electric-book-classic-theme

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: A theme for use with the Electric Book Jekyll template for making books, ebooks and book-like websites
License: MIT
URL: http://electricbook.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jekyll) >= 3.2
# BuildRequires: rubygem(jekyll) < 4
# BuildRequires: rubygem(jekyll) >= 3.2.1
BuildArch: noarch

%description
This is the default theme for the Electric Book, a Jekyll template for making
books, ebooks and book-like websites. Use it in conjunction with the Electric
Book Jekyll template. Documentation at electricbook.io.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/_includes
%{gem_instdir}/_layouts
%{gem_instdir}/_sass
%{gem_instdir}/index.md
%{gem_instdir}/screenshot.png
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/electric-book-classic-theme.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.3-1
- Initial package
